<?php
/**
 * $JA#COPYRIGHT$
 */
 
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

class JFormFieldFilterfields extends JFormFieldJaMegafilter_filterfields
{
	protected $type = 'filterfields';

	function getFieldGroups()
	{
		$class_methods = get_class_methods($this);
		$fl_array = preg_grep('/getJaMegafilterField(.*?)/', $class_methods);
		
		$fieldgroups = array();
		foreach ($fl_array as $value) {
			$array_key = strtolower( substr($value, 20) );
			$fieldgroups[$array_key] = $this->{ $value }();
		}
		return $fieldgroups;
	}
	
	function getJaMegafilterFieldBaseField()
	{
		$basefield = array(
			array(
				"published"=>0,
				"sort" => 0,
				"field"=> "name",
				"title"=>JText::_("COM_JAMEGAFILTER_TITLE"),
				"name"=>JText::_("COM_JAMEGAFILTER_TITLE"),
				"filter_type"=>array("value")
			),

			array(
				"published"=>0,
				"sort" => 0,
				"field"=> "price",
				"title"=>JText::_("COM_JAMEGAFILTER_PRICE"),
				"name"=>JText::_("COM_JAMEGAFILTER_PRICE"),
				"filter_type"=>array("range")
			),

			
			array(
				"published"=>0,
				"sort" => 0,	
				"field"=> "attr.category.value",
				"title"=>JText::_("COM_JAMEGAFILTER_CATEGORY"),
				"name"=>JText::_("COM_JAMEGAFILTER_CATEGORY"),
				"filter_type"=>array("single", "dropdown", "multiple")
			),

			array(
				"published"=>0,
				"sort" => 0,	
				"field"=> "attr.badges.value",
				"title"=>JText::_("COM_JAMEGAFILTER_BADGES"),
				"name"=>JText::_("COM_JAMEGAFILTER_BADGES"),
				"filter_type"=>array("single", "dropdown", "multiple")
			),	

			array(
				"published"=>0,
				"sort" => 0,	
				"field"=> "attr.brand.value",
				"title"=>JText::_("COM_JAMEGAFILTER_BRAND"),
				"name"=>JText::_("COM_JAMEGAFILTER_BRAND"),
				"filter_type"=>array("single", "dropdown", "multiple")
			),	

			array(
				"published"=>0,
				"sort" => 0,	
				"field"=> "attr.tag.value",
				"title"=>JText::_("COM_JAMEGAFILTER_TAG"),
				"name"=>JText::_("COM_JAMEGAFILTER_TAG"),
				"filter_type"=>array("single", "dropdown", "multiple")
			),			

			array(
				"published"=>0,
				"sort" => 0,	
				"field"=> "rating",
				"title"=>JText::_("COM_JAMEGAFILTER_RATING"),
				"name"=>JText::_("COM_JAMEGAFILTER_RATING"),
				"filter_type"=>array("range")
			),

			array(
				"published"=>0,
				"sort" => 0,	
				"field"=> "width",
				"title"=>JText::_("COM_JAMEGAFILTER_WIDTH"),
				"name"=>JText::_("COM_JAMEGAFILTER_WIDTH"),
				"filter_type"=>array("range")
			),		

		);
		return $basefield;
	}

	function getJaMegafilterFieldCharacteristic()
	{
		$q = 'select * from #__hikashop_characteristic where characteristic_parent_id =  0';
		$db = JFactory::getDbo()->setQuery($q);
		$characteristics = $db->loadObjectList();
		
		if (empty($characteristics)) return;
		
		$characteristic_fields = array();
		foreach ( $characteristics as $char)
		{
				$characteristic_fields[] = array(
					"published" => 0,
					"sort" => 0,	
					"field" => 'attr.char'.$char->characteristic_id.'.value',
					"title" => $char->characteristic_value,
					"name" => $char->characteristic_value,
					"filter_type" => array( "single", "dropdown", "multiple" ) 
					);
		}
		return $characteristic_fields;
	}
}